## ros-humble-ament-cmake-python 1.3.9

=== debian/changelog ===
ros-humble-ament-cmake-python (1.3.9-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.8-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.7-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.6-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.5-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.4-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.3-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.2-1bookworm) bookworm; urgency=high

  * Document ament_cmake_python (#387 <https://github.com/ament/ament_cmake/issues/387>) (#388 <https://github.com/ament/ament_cmake/issues/388>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.1-1bookworm) bookworm; urgency=high

  * Use sysconfig directly to determine python lib dir (#378 <https://github.com/ament/ament_cmake/issues/378>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-ament-cmake-python (1.3.0-1bookworm) bookworm; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 16 Feb 2022 16:00:00 -0000

ros-humble-ament-cmake-python (1.2.1-1bookworm) bookworm; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ament-cmake-python (1.2.0-1bookworm) bookworm; urgency=high

  * Make ament_cmake_python symlink for symlink installs only (#357 <https://github.com/ament/ament_cmake/issues/357>)
  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Make ament_python_install_package() match setuptools' egg names. (#338 <https://github.com/ament/ament_cmake/issues/338>)
  * Drop ament_cmake_python outdated tests. (#340 <https://github.com/ament/ament_cmake/issues/340>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Make ament_python_install_package() install console_scripts (#328 <https://github.com/ament/ament_cmake/issues/328>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Oct 2021 16:00:00 -0000

ros-humble-ament-cmake-python (1.1.4-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 16:00:00 -0000

ros-humble-ament-cmake-python (1.1.3-1bookworm) bookworm; urgency=high

  * Symlink setup.cfg and sources before building Python egg-info (#327 <https://github.com/ament/ament_cmake/issues/327>)
  * Simplify ament_python_install_package() macro. (#326 <https://github.com/ament/ament_cmake/issues/326>)
    Do not delegate to setuptools, install egg-info manually.
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Mar 2021 16:00:00 -0000

ros-humble-ament-cmake-python (1.1.2-1bookworm) bookworm; urgency=high

  * Escape $ENV{DESTDIR} everywhere in ament_python_install_package() (#324 <https://github.com/ament/ament_cmake/issues/324>)
    Follow up after f80071e2216e766f7bf1b0792493a5f6523e9226
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 14:59:00 -0000

ros-humble-ament-cmake-python (1.1.1-1bookworm) bookworm; urgency=high

  * Use DESTDIR on ament_python_install_package() (#323 <https://github.com/ament/ament_cmake/issues/323>)
    * Use DESTDIR on ament_python_install_package()
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 11:12:00 -0000

ros-humble-ament-cmake-python (1.1.0-1bookworm) bookworm; urgency=high

  * Make ament_python_install_package() install a flat Python egg (#316 <https://github.com/ament/ament_cmake/issues/316>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Feb 2021 16:00:00 -0000

ros-humble-ament-cmake-python (1.0.4-1bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-ament-cmake-python (1.0.3-1bookworm) bookworm; urgency=high

  * [ament_cmake_python] ament_cmake_python_get_python_install_dir public (#300 <https://github.com/ament/ament_cmake/issues/300>)
    * [ament_cmake_python] make the ament_cmake_python_get_python_install_dir a public interface.
  * Contributors: Naveau

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-ament-cmake-python (1.0.2-1bookworm) bookworm; urgency=high


